import { Pipe } from '@angular/core';
// TODO: can not dynamic change pipe pure yet
var HiOptionPipe = /** @class */ (function () {
    function HiOptionPipe() {
    }
    HiOptionPipe.prototype.transform = function (options, input, filterOption, serverSearch) {
        if (serverSearch || !input) {
            return options;
        }
        else {
            return options.filter(function (o) { return filterOption(input, o); });
        }
    };
    HiOptionPipe.decorators = [
        { type: Pipe, args: [{ name: 'hiFilterOptionPipe' },] },
    ];
    return HiOptionPipe;
}());
export { HiOptionPipe };
var HiSubOptionPipe = /** @class */ (function () {
    function HiSubOptionPipe() {
    }
    HiSubOptionPipe.prototype.transform = function (groups, input, filterOption, serverSearch) {
        if (serverSearch || !input) {
            return groups;
        }
        else {
            return groups.filter(function (g) {
                return g.listOfHiOptionComponent.some(function (o) { return filterOption(input, o); });
            });
        }
    };
    HiSubOptionPipe.decorators = [
        { type: Pipe, args: [{ name: 'hiSubFilterOptionPipe' },] },
    ];
    return HiSubOptionPipe;
}());
export { HiSubOptionPipe };
export function defaultFilterOption(input, option) {
    if (option && option.hiLabel) {
        return option.hiLabel.toLowerCase().indexOf(input.toLowerCase()) > -1;
    }
    else {
        return false;
    }
}
