var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Component } from '@angular/core';
import { fadeAnimation } from '../common/animation/fade-animations';
import { TooltipComponent } from '../tooltip/tooltip.component';
var PopoverComponent = /** @class */ (function (_super) {
    __extends(PopoverComponent, _super);
    function PopoverComponent() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this._prefix = 'hi-popover-placement';
        return _this;
    }
    PopoverComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hi-popover',
                    preserveWhitespaces: false,
                    animations: [fadeAnimation],
                    template: "\n    <ng-content></ng-content><ng-template #overlay=\"cdkConnectedOverlay\" cdkConnectedOverlay [cdkConnectedOverlayOrigin]=\"overlayOrigin\" [cdkConnectedOverlayHasBackdrop]=\"_hasBackdrop\" (backdropClick)=\"hide()\" (detach)=\"hide()\" (positionChange)=\"onPositionChange($event)\" [cdkConnectedOverlayPositions]=\"_positions\" [cdkConnectedOverlayOpen]=\"visible$ | async\"><div class=\"hi-popover\" [ngClass]=\"_classMap\" [ngStyle]=\"hiOverlayStyle\" [@fadeAnimation]=\"''+(visible$ | async)\" (@fadeAnimation.done)=\"_afterVisibilityAnimation($event)\"><div class=\"hi-popover-content\"><div class=\"hi-popover-arrow\"></div><div class=\"hi-popover-inner\"><div class=\"hi-popover-title\" *ngIf=\"hiTitle\" [innerHTML]=\"hiTitle\"></div><div class=\"hi-popover-inner-content\"><span *ngIf=\"!hiTemplate\">{{ hiContent }}</span><ng-template *ngIf=\"hiTemplate\" [ngTemplateOutlet]=\"hiTemplate\"></ng-template></div></div></div></div></ng-template>\n  ",
                    styles: ["\n    .hi-popover { position: relative; }\n  "]
                },] },
    ];
    return PopoverComponent;
}(TooltipComponent));
export { PopoverComponent };
