import { Component, ContentChildren, Input, QueryList, TemplateRef } from '@angular/core';
import { HiOptionComponent } from './hi-option.component';
var HiOptionGroupComponent = /** @class */ (function () {
    function HiOptionGroupComponent() {
    }
    Object.defineProperty(HiOptionGroupComponent.prototype, "hiLabel", {
        get: function () {
            return this._label;
        },
        set: function (value) {
            this.isLabelString = !(value instanceof TemplateRef);
            this._label = value;
        },
        enumerable: true,
        configurable: true
    });
    HiOptionGroupComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hi-option-group',
                    template: "\n    <ng-content></ng-content>"
                },] },
    ];
    /** @nocollapse */
    HiOptionGroupComponent.propDecorators = {
        "listOfHiOptionComponent": [{ type: ContentChildren, args: [HiOptionComponent,] },],
        "hiLabel": [{ type: Input },],
    };
    return HiOptionGroupComponent;
}());
export { HiOptionGroupComponent };
