import { PipeTransform } from '@angular/core';
import { HiOptionGroupComponent } from './hi-option-group.component';
import { HiOptionComponent } from './hi-option.component';
export declare type TFilterOption = (input?: string, option?: HiOptionComponent) => boolean;
export declare class HiOptionPipe implements PipeTransform {
    transform(options: HiOptionComponent[], input: string, filterOption: TFilterOption, serverSearch: boolean): HiOptionComponent[];
}
export declare class HiSubOptionPipe implements PipeTransform {
    transform(groups: HiOptionGroupComponent[], input: string, filterOption: TFilterOption, serverSearch: boolean): HiOptionGroupComponent[];
}
export declare function defaultFilterOption(input: string, option: HiOptionComponent): boolean;
